> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Update User information

PUT https://api.staple.io/v1/users/personal
Content-Type: application/json

Update your personal details such as first name, last name, phone number and position.

Reference: https://docs.staple.ai/api-reference/v1/users/update-user-information

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/users/personal:
    put:
      operationId: updateUserInformation
      summary: Update User information
      description: >-
        Update your personal details such as first name, last name, phone number
        and position.
      tags:
        - users
      parameters:
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Users_updateUserInformation_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                info:
                  $ref: >-
                    #/components/schemas/V1UsersPersonalPutRequestBodyContentApplicationJsonSchemaInfo
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    V1UsersPersonalPutRequestBodyContentApplicationJsonSchemaInfo:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          type: string
        phoneNumber:
          type: string
        position:
          type: string
      title: V1UsersPersonalPutRequestBodyContentApplicationJsonSchemaInfo
    Users_updateUserInformation_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Users_updateUserInformation_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples

### Update User information



**Request**

```json
undefined
```

**Response**

```json
{
  "updatePersonalInfo": {
    "message": "Updated personal info successfully."
  }
}
```

**SDK Code**

```python Update User information
import requests

url = "https://api.staple.io/v1/users/personal"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript Update User information
const url = 'https://api.staple.io/v1/users/personal';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update User information
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/users/personal"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update User information
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/users/personal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Update User information
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.staple.io/v1/users/personal")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Update User information
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.staple.io/v1/users/personal', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update User information
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/users/personal");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Update User information
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/users/personal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Users_updateUserInformation_example



**Request**

```json
{
  "info": {
    "firstName": "Staple",
    "lastName": "Staple",
    "phoneNumber": "099999999",
    "position": "DEVELOPER"
  }
}
```

**Response**

```json
{
  "updatePersonalInfo": {
    "message": "Updated personal info successfully."
  }
}
```

**SDK Code**

```python Users_updateUserInformation_example
import requests

url = "https://api.staple.io/v1/users/personal"

payload = { "info": {
        "firstName": "Staple",
        "lastName": "Staple",
        "phoneNumber": "099999999",
        "position": "DEVELOPER"
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Users_updateUserInformation_example
const url = 'https://api.staple.io/v1/users/personal';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"info":{"firstName":"Staple","lastName":"Staple","phoneNumber":"099999999","position":"DEVELOPER"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Users_updateUserInformation_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/users/personal"

	payload := strings.NewReader("{\n  \"info\": {\n    \"firstName\": \"Staple\",\n    \"lastName\": \"Staple\",\n    \"phoneNumber\": \"099999999\",\n    \"position\": \"DEVELOPER\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Users_updateUserInformation_example
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/users/personal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"info\": {\n    \"firstName\": \"Staple\",\n    \"lastName\": \"Staple\",\n    \"phoneNumber\": \"099999999\",\n    \"position\": \"DEVELOPER\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Users_updateUserInformation_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.staple.io/v1/users/personal")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"info\": {\n    \"firstName\": \"Staple\",\n    \"lastName\": \"Staple\",\n    \"phoneNumber\": \"099999999\",\n    \"position\": \"DEVELOPER\"\n  }\n}")
  .asString();
```

```php Users_updateUserInformation_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.staple.io/v1/users/personal', [
  'body' => '{
  "info": {
    "firstName": "Staple",
    "lastName": "Staple",
    "phoneNumber": "099999999",
    "position": "DEVELOPER"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Users_updateUserInformation_example
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/users/personal");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"info\": {\n    \"firstName\": \"Staple\",\n    \"lastName\": \"Staple\",\n    \"phoneNumber\": \"099999999\",\n    \"position\": \"DEVELOPER\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Users_updateUserInformation_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["info": [
    "firstName": "Staple",
    "lastName": "Staple",
    "phoneNumber": "099999999",
    "position": "DEVELOPER"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/users/personal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```